<%
   String connStr=request.getParameter("connStr");
   if (connStr==null) {
     connStr=(String)session.getValue("connStr");
   } else {
     session.putValue("connStr",connStr);
   }
   if (connStr==null) { %>
<jsp:forward page="../setconn.jsp" />
<%
   }
%>
<jsp:useBean id="cods" class="oracle.jdbc.pool.OracleConnectionCacheImpl"
  scope="application">
<% 
    cods.setURL(connStr);
    cods.setUser("scott");
    cods.setPassword("tiger");
    cods.setStmtCacheSize(5); 
%>
</jsp:useBean>
